curl --request POST \
--url https://api.example.com/api/v2/cases \
--header 'Content-Type: application/json' \
--data '
{
"branchId": "<string>",
"feeEarnerId": "<string>",
"propertyPrice": 123,
"reference": "<string>",
"line_1": "<string>",
"postcode": "<string>",
"clients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"smsInvite": true,
"idAndAmlCheck": true,
"onboardingLetters": true,
"instructionLetters": true,
"verificationOfFunds": true,
"statements": true,
"questionnaire": true,
"ongoing": true,
"international": true,
"poa": true,
"poo": true,
"armalytixAmountToProve": "<string>",
"armalytixBusinessName": "<string>",
"armalytixMatterDescription": "<string>",
"interestedPartyType": "<string>",
"isGiftorOnly": true,
"customLetterContent": "<string>"
}
],
"conveyancingFee": 1,
"introducerId": 123,
"isNewBuild": true,
"isLeasehold": true,
"isBuildingSafetyAct": true,
"paymentOnAccount": 123,
"paymentOnAccountRequired": true,
"line_2": "<string>",
"line_3": "<string>",
"post_town": "<string>",
"county": "<string>",
"uprn": "<string>",
"ta6_6th": true,
"ta7_5th": true,
"ta9": true,
"ta10": true
}
'import requests
url = "https://api.example.com/api/v2/cases"
payload = {
"branchId": "<string>",
"feeEarnerId": "<string>",
"propertyPrice": 123,
"reference": "<string>",
"line_1": "<string>",
"postcode": "<string>",
"clients": [
{
"clientId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"smsInvite": True,
"idAndAmlCheck": True,
"onboardingLetters": True,
"instructionLetters": True,
"verificationOfFunds": True,
"statements": True,
"questionnaire": True,
"ongoing": True,
"international": True,
"poa": True,
"poo": True,
"armalytixAmountToProve": "<string>",
"armalytixBusinessName": "<string>",
"armalytixMatterDescription": "<string>",
"interestedPartyType": "<string>",
"isGiftorOnly": True,
"customLetterContent": "<string>"
}
],
"conveyancingFee": 1,
"introducerId": 123,
"isNewBuild": True,
"isLeasehold": True,
"isBuildingSafetyAct": True,
"paymentOnAccount": 123,
"paymentOnAccountRequired": True,
"line_2": "<string>",
"line_3": "<string>",
"post_town": "<string>",
"county": "<string>",
"uprn": "<string>",
"ta6_6th": True,
"ta7_5th": True,
"ta9": True,
"ta10": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
branchId: '<string>',
feeEarnerId: '<string>',
propertyPrice: 123,
reference: '<string>',
line_1: '<string>',
postcode: '<string>',
clients: [
{
clientId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
smsInvite: true,
idAndAmlCheck: true,
onboardingLetters: true,
instructionLetters: true,
verificationOfFunds: true,
statements: true,
questionnaire: true,
ongoing: true,
international: true,
poa: true,
poo: true,
armalytixAmountToProve: '<string>',
armalytixBusinessName: '<string>',
armalytixMatterDescription: '<string>',
interestedPartyType: '<string>',
isGiftorOnly: true,
customLetterContent: '<string>'
}
],
conveyancingFee: 1,
introducerId: 123,
isNewBuild: true,
isLeasehold: true,
isBuildingSafetyAct: true,
paymentOnAccount: 123,
paymentOnAccountRequired: true,
line_2: '<string>',
line_3: '<string>',
post_town: '<string>',
county: '<string>',
uprn: '<string>',
ta6_6th: true,
ta7_5th: true,
ta9: true,
ta10: true
})
};
fetch('https://api.example.com/api/v2/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"message": "<string>"
}Create a new case
Creates a new case with the specified type, branch, fee earner, and property details.
Body
The type of case
Sale, Remortgage, Purchase, Transfer ID of the branch handling the case
ID of the fee earner assigned to the case
Price of the property in GBP
Case reference
Address line 1
Postcode
Array of clients to attach to the new case (existing or new)
1Client object - can be either an existing client (by ID) or a new client (with details). All optional properties below apply to both existing and new clients.
- Existing client
- New client
Show child attributes
Show child attributes
Conveyancing fee in GBP (optional; omit or set to 0 if not applicable)
x >= 0ID of the introducer to associate with this case. Use GET /api/v2/introducers to retrieve valid IDs.
Whether the property is a new build (default false)
Whether the property is leasehold (default false)
Whether the property is subject to the Building Safety Act (BSA) (default false)
Payment on account amount
Whether payment on account is required
Address line 2
Address line 3
Post town
County
Unique Property Reference Number (optional)
TA6 (6th) form required (Sale cases only)
TA7 (5th) form required (Sale cases only)
TA9 form required (Sale cases only)
TA10 form required (Sale cases only)
Response
Case created successfully
The ID of the created case
Was this page helpful?